summaryrefslogtreecommitdiffstats
path: root/source/xap/libnma/libnma.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-12-05 02:40:12 +0000
committer Eric Hameleers <alien@slackware.com>2022-12-05 07:00:11 +0100
commit6229c1ff54f6fa5722bfb388bfed831358781bcb (patch)
treefa6295f4659802aff0f80631a9950ead99c384a3 /source/xap/libnma/libnma.SlackBuild
parent2d4b9b1926c4e05d91c76163aa04a51ad261ba01 (diff)
downloadcurrent-6229c1ff54f6fa5722bfb388bfed831358781bcb.tar.gz
current-6229c1ff54f6fa5722bfb388bfed831358781bcb.tar.xz
Mon Dec 5 02:40:12 UTC 202220221205024012
x/OpenCC-1.1.5-x86_64-1.txz: Upgraded. x/libXScrnSaver-1.2.4-x86_64-1.txz: Upgraded. x/libXcomposite-0.4.6-x86_64-1.txz: Upgraded. x/libXdamage-1.1.6-x86_64-1.txz: Upgraded. x/libXres-1.2.2-x86_64-1.txz: Upgraded. x/libXv-1.0.12-x86_64-1.txz: Upgraded. x/libXxf86dga-1.1.6-x86_64-1.txz: Upgraded. x/lndir-1.0.4-x86_64-1.txz: Upgraded.
Diffstat (limited to '')
-rwxr-xr-xsource/xap/libnma/libnma.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/xap/libnma/libnma.SlackBuild b/source/xap/libnma/libnma.SlackBuild
index 18771c5d3..5a0504275 100755
--- a/source/xap/libnma/libnma.SlackBuild
+++ b/source/xap/libnma/libnma.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2020, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libnma
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -74,6 +74,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/gschema-Remove-path-from-eap-schema.patch.gz | patch -p1 --verbose || exit 1
+
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
mkdir build